// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics.proto

package com.accelfin.server.demo.analytics.dtos;

public interface UpdateReportSubscriptionRequestDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionRequestDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  java.util.List<com.accelfin.server.messaging.dtos.AnyDto> 
      getReportsList();
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  com.accelfin.server.messaging.dtos.AnyDto getReports(int index);
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  int getReportsCount();
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  java.util.List<? extends com.accelfin.server.messaging.dtos.AnyDtoOrBuilder> 
      getReportsOrBuilderList();
  /**
   * <pre>
   * we need to use AnyDto here as we've can't have an array of mixed types
   * </pre>
   *
   * <code>repeated .com.accelfin.server.messaging.dtos.AnyDto reports = 1;</code>
   */
  com.accelfin.server.messaging.dtos.AnyDtoOrBuilder getReportsOrBuilder(
      int index);
}
